import java.util.*;

// Aufgabe 2 - Spezieller Comparator, der dafuer sorgt,dass
// nach absoluten Differenzen zu einer Vorgabe sortiert wird.
public class DifferenceComparator implements Comparator {
  
  private double averageDistance;
  
  // Konstruktor
  DifferenceComparator (double averageDistance) {
    this.averageDistance = averageDistance;
  }
  
  public int compare(Object a, Object b) {
    // TypeCast und Konvertierung
    double distance1 = ((Double) a).doubleValue();
    double distance2 = ((Double) b).doubleValue();
    return Double.compare(Math.abs(averageDistance - distance1),
                          Math.abs(averageDistance - distance2));
  }
  
}
