import java.util.*;

public class Golf {
  
  // Aufgabe 1 - Initialisierung mit HashMap
  //private Map players = new HashMap();
  
  // Aufgabe 1 - Initialisierung mit TreeMap und Sortierung nach natrlicher Ordnung
  //private Map players = new TreeMap();
  
  //Aufgabe 1 - Initialisierung mit TreeMap und absteigender Sortierung
  private Map players = new TreeMap(new GolfComparator());
  
  // Aufgabe 2 - Initialisierung mit Schlagweite 100.0 m
  //private Map players = new TreeMap(new DifferenceComparator(100.0));
  
  // Methode zum Hinzufuegen von Spielern mit ihrer Schlagweite
  public void addPlayer(String name, double distance) {
    players.put(Double.valueOf(distance), name);
  }
  
  // Methode zum ausgeben der sortierten Liste
  public void printList() {
    // Platzierungsnummer initialisieren
    int pos = 1;
    
    // Iteriere ber sortierte Liste von Sprungergebnissen
    for (Iterator i = players.keySet().iterator(); i.hasNext();) {
      // Schlagweite einlesen
      Double distance = (Double) i.next();
      
      // Zugehoerige Spielernummer holen
      String name = (String) players.get(distance);
      
      System.out.println("Platz " + pos + ": " + name + " - Schlagweite: " + distance);
      
      pos++;
    }
  }
  
  // main-Methode
  public static void main(String[] args) {

    Golf golf = new Golf();
    
    // Schlagweiten erfassen
    golf.addPlayer("Emil Einself", 111.11);
    golf.addPlayer("August Aufsteigend", 123.45);
    golf.addPlayer("Karl Koelsch", 47.11);
    golf.addPlayer("Albrecht Absteigend", 98.76);
    
    // Sortierte Liste ausgeben
    System.out.println(" Golf-Ergebnisliste ");
    System.out.println("--------------------");
    golf.printList();
  }
}
